// TILE GENERATOR: TILE EXAMPLES
// *****************************
// Render with 1:1 ratio (eg. 100x100, 300x300, etc.)
// Seven frame non-cyclic animation

#include "TILEGEN.MCR"

#switch (int(clock*6))
#case (0) // BASIC BLOB TILE EXAMPLE
   tile_lights (3, 89832, 35)
   blob_tile (texture {pigment {rgb 1}}, 30, .5, .5)
   #break

#case (1) // BLOB PIGMENT BLENDING EXAMPLE
   blob_tile (texture {random_pigment (8816) finish {ambient 1}}, 10, 1, 2)
   #break

#case (2) // OBJECT TILING EXAMPLE
   tile_lights (3, 88767, 45)
   texture_tile (random_texture (287), .5)
   object_tile (union {
      text {ttf "Times", "POV-Ray", .5, 0 translate <-.2, -.35, -.25>}
      #declare C = -30; #while (C <= 210)
         cone {y*.5, .15, y*1.25, 0 rotate z*C}
      #declare C = C + 30; #end
      pigment {rgb .8} normal {bumps 1 scale .02}
      scale .3 rotate <15, 0, 30> translate <.3, .5, -1>})
   #break

#case (3) // RANDOM OBJECT TILING EXAMPLE
   default {finish {ambient <.3, .4, .5> diffuse .5}}
   plane {z, 1 hollow pigment {rgb <.9, .8, .5>}}
   random_object_tile (union {
      cylinder {-y, y, .2 pigment {rgb <.8, .1, .1>} normal {radial -.2 scallop_wave frequency 6}}
      cone {-y, .2, -y*1.5, 0 pigment {gradient y color_map {[.1 rgb 0] [.15 rgb <.7, .5, .3>]} translate -y*1.5}}
      superellipsoid {<.1, 1> scale <.2, .2, .2> pigment {rgb <1, .6, .7>} translate y}
      scale .25},
      50, 0, 1, 1)
   tile_lights (2, 92712, 60)
   #break

#case (4) // MULTIPLE RANDOM OBJECT TILING EXAMPLE
   default {finish {ambient .6 diffuse .4}}
   random_object_tile (sphere {0, .1 pigment {rgb <1, .4, .5>}}, 50, 1, 0, 1)
   random_object_tile (sphere {0, .1 pigment {rgb <1, 1, .5>}}, 50, 1, 0, 1)
   random_object_tile (sphere {0, .1 pigment {rgb <.4, .7, 1>}}, 50, 1, 0, 1)
   tile_lights (1, 28615, 15)
   #break

#case (5) // LAYERED TEXTURE TILE
   texture_tile (texture {
      pigment {rgb <.2, .4, .6>}
      normal {waves .3 scale .5 frequency 50}
      finish {phong .1 phong_size 8 reflection .4}}, .3)

   texture_tile (texture {
      pigment {wrinkles color_map {
         [.6 rgbt 1] [.6 rgb <.8, .7, .4>] [.7 rgb <.2, .5, .1>] [1 rgb <.1, .3, .1>]}
         scale .3}}, .1)

   texture_tile (texture {
      pigment {wrinkles color_map {[.5 rgbt 1] [.9 rgb 1]}
         scale .4 translate -x*10}
      finish {ambient .5 diffuse .5}}, .5)

   light_source {<100, 100, -1e6> rgb 1.3}
   #break

#case (6) // WOOD AND BLOB TILE EXAMPLE
   texture_tile (random_wood_texture(35192), .2)
   tile_lights (2, 7721, 45)
   object {blob_tile (texture {
      pigment {rgbf <.95, .97, 1, 1>}
      finish {specular .1 roughness .2 irid {.1 thickness .1}}},
      30, <.15, .15, .1>, 0)
      interior {ior 1.33}
      sturm on}
#end
